Manage orders - Get an availability by id for a customer
Retrieves an availability for the requested customer context.
GET https://api.partnercenter.microsoft.com/v{version}/customers/{customerId}/products/{productId}/skus/{skuId}/availabilities/{availabilityId}
GET https://api.partnercenter.microsoft.com/v{version}/customers/{customerId}/products/{productId}/skus/{skuId}/availabilities/{availabilityId}?includeLifeCycleState={includeLifeCycleState}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
availability
|
path | True |
string |
The availability id. |
|
customer
|
path | True |
string (uuid) |
The customer identifier in GUID format. |
|
product
|
path | True |
string |
The product Id. |
|
sku
|
path | True |
string |
The sku Id. |
|
version
|
path | True |
string |
The API version number. |
|
include
|
query |
boolean |
Whether to include lifecycle state information in the response. |
Request Header
| Name | Required | Type | Description |
|---|---|---|---|
| Authorization | True |
string |
Authorization Bearer token |
| ms-correlationid |
string |
Used for tracking requests internally. If a ms-correlationid is not provided, the server will generate a new one for each request |
|
| MS-CV |
string |
Used for tracking requests internally. If a MS-CV is not provided, the server will generate a new one for each request |
|
| ms-requestid |
string |
Used for idempotency of requests. If a ms-requestid is not provided, the server will generate a new one for each request |
|
| Accept | True |
string |
Typically application/json. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
The request was successful. The availability is returned in the response body. Media Types: "application/json", "text/json", "application/xml", "text/xml" |
Definitions
| Name | Description |
|---|---|
|
Contracts. |
The asset ownership limits. |
|
Contracts. |
The SKUs associated with this SKU. |
|
Contracts. |
Represents a availability resource. |
|
Contracts. |
The collection of included quantity options associated with this availability. |
|
Contracts. |
The collection of terms associated with this availability. |
|
Contracts. |
The collection of cancellation policies associated with this availability term. |
|
Contracts. |
The collection of refund options associated with this cancellation policy. |
|
Contracts. |
The constraints that apply when transacting or managing the SKU. |
|
Contracts. |
The constraints associated with the eligibility policy. |
|
Contracts. |
Additional default currency associated with the availability. |
|
Contracts. |
The eligibility details associated with the policy. |
|
Contracts. |
The eligibility constraints. |
|
Contracts. |
The eligibility policies that apply to the availability. |
|
Contracts. |
The data associated with the eligibility policy. |
|
Contracts. |
Additional product type associated with the product. |
|
Contracts. |
The offer policies that apply to the availability. |
|
Contracts. |
The data associated with the offer policy. |
|
Contracts. |
The properties associated with the offer policy. |
|
Contracts. |
The partner constraints. |
|
Contracts. |
The pricing policies that apply to the availability. |
|
Contracts. |
The benefits provided by the pricing policy. |
|
Contracts. |
The data associated with the pricing policy. |
|
Contracts. |
Additional product associated with the availability. |
|
Contracts. |
Links to related resources. |
|
Contracts. |
Groups of product ownership constraints. |
|
Contracts. |
The minimum purchase commitment for the SKU. |
|
Contracts. |
The purchase requirement constraints. |
|
Contracts. |
The collection of renewal instructions associated with this availability. |
|
Contracts. |
The collection of renewal options associated with this renewal instruction. |
|
Contracts. |
The collection of renewal options associated with this availability term. |
|
Contracts. |
The seat constraints. |
|
Contracts. |
Additional sku associated with the availability. |
|
Contracts. |
Additional attestation properties associated with the sku. |
|
Contracts. |
The benefits associated with the SKU. |
|
Contracts. |
The product codes associated with the SKU. |
|
Contracts. |
The pricing policies for the specialized offer. |
|
Contracts. |
Properties for the specialized offer, when applicable. |
| Link |
Represents a link resource. |
|
Resource |
Represents a resource links resource. |
|
String |
Represents a key value pair resource. |
|
Supported |
The collection of supported billing cycles associated with this sku. |
|
System. |
The collection of headers associated with this link. |
Contracts.V1.Models.AssetOwnershipLimit
The asset ownership limits.
| Name | Type | Description |
|---|---|---|
| maxAssets |
integer (int32) |
The maximum number of owned assets. |
| minAssets |
integer (int32) |
The minimum number of owned assets. |
| type |
string |
The asset ownership limit type. |
Contracts.V1.Models.AssociatedSku
The SKUs associated with this SKU.
| Name | Type | Description |
|---|---|---|
| associationType |
enum:
Extended |
The type of association. Supported value: ExtendedServiceTerm. |
| sku |
The associated SKU. |
Contracts.V1.Models.Availability
Represents a availability resource.
| Name | Type | Description |
|---|---|---|
| catalogItemId |
string |
The unique identifier of the catalog item. Value is typically a GUID. |
| country |
string |
The two-letter country or region code. |
| defaultCurrency |
Additional default currency associated with the availability. |
|
| eligibilityPolicies |
The eligibility policies that apply to the availability. |
|
| id |
string |
Unique identifier for the availability. Value is typically a GUID. |
| includedQuantityOptions |
The collection of included quantity options associated with this availability. |
|
| isPurchasable |
boolean |
Whether is purchasable. |
| isRenewable |
boolean |
Whether is renewable. |
| links |
Links to related resources. |
|
| offerPolicies |
The offer policies that apply to the availability. |
|
| pricingPolicies |
The pricing policies that apply to the availability. |
|
| product |
Additional product associated with the availability. |
|
| productId |
string |
The unique identifier of the product. Value is typically a GUID. |
| renewalInstructions |
The collection of renewal instructions associated with this availability. |
|
| segment |
string |
The segment for the availability. |
| sku |
Additional sku associated with the availability. |
|
| skuId |
string |
The unique identifier of the SKU. Value is typically a GUID. |
| terms |
The collection of terms associated with this availability. |
Contracts.V1.Models.AvailabilityIncludedQuantity
The collection of included quantity options associated with this availability.
| Name | Type | Description |
|---|---|---|
| description |
string |
The description of this item. |
| units |
string |
The units for the availability included quantity. |
Contracts.V1.Models.AvailabilityTerm
The collection of terms associated with this availability.
| Name | Type | Description |
|---|---|---|
| billingCycle |
string |
The billing frequency. |
| cancellationPolicies |
The collection of cancellation policies associated with this availability term. |
|
| description |
string |
The description of this item. |
| duration |
string |
The duration for the availability term. |
| id |
string |
Unique identifier for the availability term. Value is typically a GUID. |
| renewalOptions |
The collection of renewal options associated with this availability term. |
Contracts.V1.Models.CancellationPolicy
The collection of cancellation policies associated with this availability term.
| Name | Type | Description |
|---|---|---|
| refundOptions |
The collection of refund options associated with this cancellation policy. |
Contracts.V1.Models.CancellationRefundOption
The collection of refund options associated with this cancellation policy.
| Name | Type | Description |
|---|---|---|
| expiresAfter |
string |
The expires after for the cancellation refund option. |
| sequenceId |
integer (int32) |
The unique identifier of the sequence. |
| type |
string |
The type of a cancellation refund option. |
Contracts.V1.Models.Constraint
The constraints that apply when transacting or managing the SKU.
| Name | Type | Description |
|---|---|---|
| constraintName |
string |
The name of the SKU constraint. |
| constraintType |
string |
The type of the SKU constraint. |
| constraintValue |
number (double) |
The numeric value of the SKU constraint. |
Contracts.V1.Models.ConstraintsData
The constraints associated with the eligibility policy.
| Name | Type | Description |
|---|---|---|
| assetOwnershipLimits |
The asset ownership limits. |
|
| eligibilityConstraints |
The eligibility constraints. |
|
| partnerConstraints |
The partner constraints. |
|
| prerequisiteConstraints |
api.partnercenter.microsoft.com.partner-center.manageorders.getanavailabilitybyidforacustomer |
Prerequisite constraints returned as an untyped JSON value. |
| productOwnershipConstraints |
Groups of product ownership constraints. |
|
| purchaseRequirementConstraints |
The purchase requirement constraints. |
|
| seatConstraints |
The seat constraints. |
Contracts.V1.Models.CurrencyInfo
Additional default currency associated with the availability.
| Name | Type | Description |
|---|---|---|
| code |
string |
The code for the currency info. |
| symbol |
string |
The symbol for the currency info. |
Contracts.V1.Models.Eligibility
The eligibility details associated with the policy.
| Name | Type | Description |
|---|---|---|
| constraintsData |
The constraints associated with the eligibility policy. |
|
| dynamicPurchaseConstraint |
api.partnercenter.microsoft.com.partner-center.manageorders.getanavailabilitybyidforacustomer |
A dynamic purchase constraint returned as an untyped JSON value. |
Contracts.V1.Models.EligibilityConstraint
The eligibility constraints.
| Name | Type | Description |
|---|---|---|
| isApplicable |
boolean |
Whether the eligibility constraint is applicable. |
| type |
string |
The eligibility constraint type. |
Contracts.V1.Models.EligibilityPolicy
The eligibility policies that apply to the availability.
| Name | Type | Description |
|---|---|---|
| policyData |
The data associated with the eligibility policy. |
|
| policyId |
string |
The eligibility policy identifier. |
Contracts.V1.Models.EligibilityPolicyData
The data associated with the eligibility policy.
| Name | Type | Description |
|---|---|---|
| eligibility |
The eligibility details associated with the policy. |
Contracts.V1.Models.ItemType
Additional product type associated with the product.
| Name | Type | Description |
|---|---|---|
| displayName |
string |
The display name shown to partners. |
| id |
string |
Unique identifier for the item type. Value is typically a GUID. |
| subType |
Additional sub type associated with the item type. |
Contracts.V1.Models.OfferPolicy
The offer policies that apply to the availability.
| Name | Type | Description |
|---|---|---|
| policyData |
The data associated with the offer policy. |
|
| policyId |
string |
The offer policy identifier. |
Contracts.V1.Models.OfferPolicyData
The data associated with the offer policy.
| Name | Type | Description |
|---|---|---|
| beneficiary |
string |
The beneficiary of the offer. |
| isOptional |
boolean |
Whether the offer is optional. |
| properties |
The properties associated with the offer policy. |
Contracts.V1.Models.OfferPolicyProperties
The properties associated with the offer policy.
| Name | Type | Description |
|---|---|---|
| endDate |
string |
The end date of the offer. |
| startDate |
string |
The start date of the offer. |
Contracts.V1.Models.PartnerConstraint
The partner constraints.
| Name | Type | Description |
|---|---|---|
| isApplicable |
boolean |
Whether the partner constraint is applicable. |
| type |
string |
The partner constraint type. |
Contracts.V1.Models.PricingPolicy
The pricing policies that apply to the availability.
| Name | Type | Description |
|---|---|---|
| policyData |
The data associated with the pricing policy. |
|
| policyId |
string |
The pricing policy identifier. |
Contracts.V1.Models.PricingPolicyBenefit
The benefits provided by the pricing policy.
| Name | Type | Description |
|---|---|---|
| type |
string |
The pricing benefit type, such as PercentDiscount. |
| value |
number (double) |
The pricing benefit value. |
Contracts.V1.Models.PricingPolicyData
The data associated with the pricing policy.
| Name | Type | Description |
|---|---|---|
| benefits |
The benefits provided by the pricing policy. |
Contracts.V1.Models.Product
Additional product associated with the availability.
| Name | Type | Description |
|---|---|---|
| description |
string |
The description of this item. |
| id |
string |
Unique identifier for the product. Value is typically a GUID. |
| isMicrosoftProduct |
boolean |
Whether is microsoft product. |
| links |
Links to related resources. |
|
| localizedAttributes |
System. |
The collection of localized attributes associated with this product. |
| productType |
Additional product type associated with the product. |
|
| publisherName |
string |
The publisher name for the product. |
| title |
string |
The title of this item. |
Contracts.V1.Models.ProductLinks
Links to related resources.
| Name | Type | Description |
|---|---|---|
| next |
Additional next associated with the product links. |
|
| previous |
Additional previous associated with the product links. |
|
| self |
Additional self associated with the product links. |
|
| skus |
Additional skus associated with the product links. |
Contracts.V1.Models.ProductOwnershipConstraint
Groups of product ownership constraints.
| Name | Type | Description |
|---|---|---|
| bigId |
string |
The big catalog identifier. |
| maxSeats |
integer (int32) |
The optional maximum number of seats. |
| minSeats |
integer (int32) |
The optional minimum number of seats. |
Contracts.V1.Models.PurchaseCommitment
The minimum purchase commitment for the SKU.
| Name | Type | Description |
|---|---|---|
| amount |
string |
The minimum purchase commitment amount. |
| currencyCode |
The currency for the minimum purchase commitment. |
|
| grain |
string |
The grain for the minimum purchase unit. |
Contracts.V1.Models.PurchaseRequirementConstraint
The purchase requirement constraints.
| Name | Type | Description |
|---|---|---|
| bigId |
string |
The big catalog identifier. |
| maxSeats |
integer (int32) |
The maximum number of seats. |
| minSeats |
integer (int32) |
The minimum number of seats. |
| termDuration |
string |
The term duration. |
| type |
string |
The purchase requirement constraint type. |
Contracts.V1.Models.RenewalInstruction
The collection of renewal instructions associated with this availability.
| Name | Type | Description |
|---|---|---|
| applicableTermIds |
string[] |
The collection of applicable term ids associated with this renewal instruction. |
| renewalOptions |
The collection of renewal options associated with this renewal instruction. |
Contracts.V1.Models.RenewalInstructionOption
The collection of renewal options associated with this renewal instruction.
| Name | Type | Description |
|---|---|---|
| isAutoRenewable |
boolean |
Whether is auto renewable. |
| renewToId |
string |
The unique identifier of the renew to. Value is typically a GUID. |
Contracts.V1.Models.RenewalOption
The collection of renewal options associated with this availability term.
| Name | Type | Description |
|---|---|---|
| description |
string |
The description of this item. |
| termDuration |
string |
The duration of the subscription term (for example, P1M for monthly or P1Y for annual). |
Contracts.V1.Models.SeatConstraint
The seat constraints.
| Name | Type | Description |
|---|---|---|
| maxSeats |
integer (int32) |
The maximum number of seats. |
| minSeats |
integer (int32) |
The minimum number of seats. |
| seatIncreaseMultiplier |
integer (int32) |
The seat increase multiplier. |
| type |
string |
The seat constraint type. |
Contracts.V1.Models.Sku
Additional sku associated with the availability.
| Name | Type | Description |
|---|---|---|
| actions |
string[] |
The collection of actions associated with this sku. |
| associatedSkus |
The SKUs associated with this SKU. |
|
| attestationProperties |
Additional attestation properties associated with the sku. |
|
| benefits |
The benefits associated with the SKU. |
|
| categories |
string[] |
The categories to which the SKU belongs. |
| constraints |
The constraints that apply when transacting or managing the SKU. |
|
| consumptionType |
string |
The consumption type for the sku. |
| description |
string |
The description of this item. |
| dynamicAttributes |
object |
Additional dynamic attributes associated with the sku. |
| id |
string |
Unique identifier for the sku. Value is typically a GUID. |
| inventoryVariables |
string[] |
The collection of inventory variables associated with this sku. |
| isTrial |
boolean |
Whether is trial. |
| links |
Links to related resources. |
|
| manualActivation |
boolean |
Whether manual activation is required. |
| maximumQuantity |
integer (int32) |
The maximum quantity for the sku. |
| minimumPurchaseCommitment |
The minimum purchase commitment for the SKU. |
|
| minimumQuantity |
integer (int32) |
The minimum quantity for the sku. |
| productCodes |
The product codes associated with the SKU. |
|
| productId |
string |
The unique identifier of the product. Value is typically a GUID. |
| provisioningVariables |
string[] |
The collection of provisioning variables associated with this sku. |
| purchasePrerequisites |
string[] |
The collection of purchase prerequisites associated with this sku. |
| specializedOfferProperties |
Properties for the specialized offer, when applicable. |
|
| supportedBillingCycles |
The collection of supported billing cycles associated with this sku. |
|
| termsOfUseUri |
string |
The terms of use uri for the sku. |
| title |
string |
The title of this item. |
Contracts.V1.Models.SkuAttestationProperties
Additional attestation properties associated with the sku.
| Name | Type | Description |
|---|---|---|
| attestationType |
string |
The attestation type for the sku attestation properties. |
| enforceAttestation |
boolean |
Whether this sku attestation properties enforce attestation. |
Contracts.V1.Models.SkuBenefit
The benefits associated with the SKU.
| Name | Type | Description |
|---|---|---|
| benefitType |
string |
The type of benefit associated with the SKU. |
| benefitValue |
string |
The value associated with the SKU benefit. |
Contracts.V1.Models.SkuProductCode
The product codes associated with the SKU.
| Name | Type | Description |
|---|---|---|
| productCode |
string |
The product code value. |
| termId |
string |
The term identifier associated with the product code. |
Contracts.V1.Models.SpecializedOfferPricingPolicy
The pricing policies for the specialized offer.
| Name | Type | Description |
|---|---|---|
| policyType |
string |
The type of specialized-offer pricing policy. |
| value |
string |
The value of the specialized-offer pricing policy. |
Contracts.V1.Models.SpecializedOfferProperties
Properties for the specialized offer, when applicable.
| Name | Type | Description |
|---|---|---|
| endDate |
string |
The end date for the specialized offer. |
| pricingPolicies |
The pricing policies for the specialized offer. |
|
| startDate |
string |
The start date for the specialized offer. |
Link
Represents a link resource.
| Name | Type | Description |
|---|---|---|
| body |
string |
The body for the link. |
| headers |
The collection of headers associated with this link. |
|
| method |
string |
The method for the link. |
| uri |
string |
The URI for the related resource. |
ResourceLinks
Represents a resource links resource.
| Name | Type | Description |
|---|---|---|
| next |
Additional next associated with the resource links. |
|
| previous |
Additional previous associated with the resource links. |
|
| self |
Additional self associated with the resource links. |
StringStringKeyValuePair
Represents a key value pair resource.
| Name | Type | Description |
|---|---|---|
| key |
string |
The key for the key value pair. |
| value |
string |
The value for the key value pair. |
SupportedBillingCycles
The collection of supported billing cycles associated with this sku.
| Value | Description |
|---|---|
| unknown | |
| monthly | |
| annual | |
| none | |
| one_time | |
| triennial | |
| biennial | |
| quadrennial | |
| quinquennial |
System.Collections.Generic.KeyValuePair[System.String,System.String]
The collection of headers associated with this link.
| Name | Type | Description |
|---|---|---|
| key |
string |
The key for the key value pair. |
| value |
string |
The value for the key value pair. |